import { Suspense } from "react";

import {
  MeditationSection,
  MeditationSectionSkeleton,
} from "@/components/domains/dashboard";
import { loadMeditations } from "@/entities/dashboard/loaders";

export default function Meditation() {
  return (
    <Suspense fallback={<MeditationSectionSkeleton />}>
      <MeditationSection
        promise={loadMeditations()}
        gridDisplayMode="vertical"
      />
    </Suspense>
  );
}
